Bug 880088

Summary: [abrt] preupgrade-1.1.10-1.fc16: repos.py:136:getRepo:RepoError: Error getting repository data for preupgrade-rpmfusion-free-updates, repository not found
Product: [Fedora] Fedora Reporter: Florian Schmid <florian.schmid>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: hughsient
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:f0658ea197b05044e631fad526bc8c92043dbda2
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 09:47:51 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: executable
none
File: smolt_data none

Description Florian Schmid 2012-11-26 03:22:29 EST
Version-Release number of selected component:
preupgrade-1.1.10-1.fc16

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/share/preupgrade/preupgrade-cli.py 'Fedora 17 (Beefy Miracle)' --disablerepo=preupgrade-rpmfusion-free-updates
kernel:         3.3.6-3.fc16.x86_64

backtrace:
:repos.py:136:getRepo:RepoError: Error getting repository data for preupgrade-rpmfusion-free-updates, repository not found
:
:Traceback (most recent call last):
:  File "/usr/share/preupgrade/preupgrade-cli.py", line 320, in <module>
:    release = pu.getconfig() # sets pu.opts
:  File "/usr/share/preupgrade/preupgrade-cli.py", line 147, in getconfig
:    opts = self.doUtilConfigSetup()
:  File "/usr/share/yum-cli/utils.py", line 363, in doUtilConfigSetup
:    (opts, self.cmds) = self._parser.setupYumConfig()
:  File "/usr/share/yum-cli/cli.py", line 1983, in setupYumConfig
:    self.base.repos.disableRepo(repoexp)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 163, in disableRepo
:    thisrepo = self.getRepo(repoid)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 136, in getRepo
:    'Error getting repository data for %s, repository not found' % (repoid)
:RepoError: Error getting repository data for preupgrade-rpmfusion-free-updates, repository not found
:
:Local variables in innermost frame:
:self: <yum.repos.RepoStorage instance at 0x15c3098>
:e: KeyError('preupgrade-rpmfusion-free-updates',)
:repoid: 'preupgrade-rpmfusion-free-updates'
Comment 1 Florian Schmid 2012-11-26 03:22:32 EST
Created attachment 651813 [details]
File: executable
Comment 2 Florian Schmid 2012-11-26 03:22:34 EST
Created attachment 651814 [details]
File: smolt_data
Comment 3 Fedora End Of Life 2013-01-16 08:52:51 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 09:47:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.